Subject: bug#804 closed by Mark Hindley <[email-masked]> (Re: bug#804: init: should depend on openrc)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Wed, 22 Nov 2023 10:30:03 +0000

This is an automatic notification regarding your bug report
which was filed against the init package:

#804: init: should depend on openrc

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
804: https://bugs.devuan.org/cgi/bugreport.cgi?bug=804
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#804: init: should depend on openrc
From: Mark Hindley <[email-masked]>
To: meow <[email-masked]>, [email-masked]
Date: Wed, 22 Nov 2023 10:26:59 +0000

Lorietta,

Thanks for this.

On Wed, Nov 22, 2023 at 09:28:57AM +0000, meow wrote:
>    Package: init
>    Version: 1.65.2devuan1
>    Severity: grave
>    Justification: renders package unusableX-Debbugs-Cc:
>    [email-masked]
>    Dear Maintainer,
>    The init meta package must depend on the openrc package.The openrc
>    package contains an implementation of PID1 - openrc-init.

Yes, but openrc provides /sbin/openrc-init not /sbin/init. The init package
depends on packages which provide /sbin/init.

>    I've been using openrc-init instead of sisvinit for a long time,

Great

>    but I can't remove sysvinit because when I remove it, runit-init is
>    automatically installed, which I don't need either.

Try removing the init package, it has very few reverse dependencies and is
really only there to ensure a working init when bootstrapping. It is marked
important so apt may refuse to remove, but you can still remove it with dpkg

 dpkg --remove init

Then you should be able to remove sysvinit-core as well.

Mark

Subject: init: should depend on openrc
From: meow <[email-masked]>
To: [email-masked]
Date: Wed, 22 Nov 2023 09:28:57 +0000

Package: init
Version: 1.65.2devuan1
Severity: grave
Justification: renders package unusable
X-Debbugs-Cc: [email-masked]

Dear Maintainer,
The init meta package must depend on the openrc package.
The openrc package contains an implementation of PID1 - openrc-init.
I've been using openrc-init instead of sisvinit for a long time, but I can't remove sysvinit because when I remove it, runit-init is automatically installed, which I don't need either.
!! There was already message #443, 
!! but it was about runit-init. 
!! openrc was NOT added to the init meta package.

-- System Information:

Distributor ID:	Devuan
Description: 	Devuan GNU/Linux 5 (daedalus)
Release:	5
Codename:	daedalus
Architecture: x86_64
Kernel: Linux 6.1.0-13-amd64 (SMP w/6 CPU threads; PREEMPT)
Kernel taint flags: TAINT_OOT_MODULE
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: OpenRC (via /run/openrc)

Versions of packages init depends on:
ii  init-system-helpers  1.65.2devuan1
ii  sysvinit-core        3.06-4devuan3

init recommends no packages.

init suggests no packages.

-- debconf-show failed